aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xf86-video-intel/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-20 09:53:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-20 09:53:48 +0000
commit11a807c2bf52f294fe618ba7f04947c607ba403f (patch)
treeed716aad60f10236fd334e153e2b62372250f7bb /x11/xf86-video-intel/APKBUILD
parent79ba439097f5c3f7ec959a12431ae1bc4a24f1f9 (diff)
downloadaports-11a807c2bf52f294fe618ba7f04947c607ba403f.tar.gz
aports-11a807c2bf52f294fe618ba7f04947c607ba403f.tar.bz2
aports-11a807c2bf52f294fe618ba7f04947c607ba403f.tar.xz
x11/xf86-video-{ati,dummy,geode,glint,intel}: new aports
Diffstat (limited to 'x11/xf86-video-intel/APKBUILD')
-rw-r--r--x11/xf86-video-intel/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/x11/xf86-video-intel/APKBUILD b/x11/xf86-video-intel/APKBUILD
new file mode 100644
index 0000000000..22828d5f05
--- /dev/null
+++ b/x11/xf86-video-intel/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-intel
+pkgver=2.7.0
+pkgrel=0
+pkgdesc="X.Org driver for Intel cards"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig g++ xorg-server-dev libxi-dev fontsproto randrproto
+ videoproto renderproto glproto"
+
+source="http://xorg.freedesktop.org//releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="5832172ac69b9a066a202e1578a5d3c8 xf86-video-intel-2.7.0.tar.bz2"